- name: Enable passwordless sudo for admin user {{ admin.name }}
  become: true
  lineinfile:
    dest: /etc/sudoers
    state: present
    regexp: "^{{ admin.name }}"
    line: "{{ admin.name }} ALL=(ALL) NOPASSWD: ALL"
    validate: "visudo -cf %s"

- name: import ssh tasks
  import_tasks: ssh.yml

- name: Install apt packages
  apt:
    update_cache: yes
    name: "{{ basic_packages }}"
    state: present

- name: install pip docker-compose
  pip:
    name: docker-compose>=1.29.2

- name: All packages installed.
  debug:
    msg: Packages have been successfully installed

- name: adding existing user '{{ user }}' to sudo group
  user:
    name: '{{ admin.name }}'
    groups: sudo
    append: yes

- name: Ensure group "docker" exists
  ansible.builtin.group:
    name: docker
    state: present

- name: Create {{ docker_dir }} directory if needed
  file:
    path: '{{ docker_dir }}'
    state: directory
    owner: '{{ admin.name }}'
    group: 'docker'
    mode: 0775
  tags: [ always ]
